<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<th:block th:include="/inc/head"></th:block>
<title>Créer un article</title>
</head>
<body>
	<nav th:insert="/inc/nav"></nav>

	<div class="marg-top"></div>
	<div class="row">
		<div class="col-2"></div>
		<form class="col-8" action="/articles" method="POST"
			th:object="${article}">
			<div class="form-group row">
				<div class="col">
					<input type="text" class="form-control" name="name"
						th:field="*{name}" placeholder="Nom Article">
					<p class="errorForm" th:if="${#fields.hasErrors('name')}"
						th:errors="*{name}">Name Error</p>

				</div>
				<div class="col">
					<input type="number" class="form-control" name="price"
						th:field="*{price}" placeholder="Prix Article">
					<p class="errorForm" th:if="${#fields.hasErrors('price')}"
						th:errors="*{price}">Price Error</p>
				</div>
				<div class="col">
					<input type="number" class="form-control" name="page"
						th:field="*{page}" placeholder="Number page">
					<p class="errorForm" th:if="${#fields.hasErrors('page')}"
						th:errors="*{page}">Page Error</p>
				</div>
			</div>
			<div class="form-group row">
				<div class="col">
					<input type="text" class="form-control" name="author"
						th:field="*{author}" placeholder="Author">
					<p class="errorForm" th:if="${#fields.hasErrors('author')}"
						th:errors="*{author}">Author Error</p>
				</div>
				<div class="col">
					<input type="text" class="form-control" name="editor"
						th:field="*{editor}" placeholder="Editor" min="0">
					<p class="errorForm" th:if="${#fields.hasErrors('editor')}"
						th:errors="*{editor}">Editor Error</p>
				</div>
			</div>
			<div class="form-group row">
				<div class="col">
					<textarea class="form-control" name="description"
						th:field="*{description}" placeholder="description" rows="5"></textarea>
					<p class="errorForm" th:if="${#fields.hasErrors('description')}"
						th:errors="*{description}">Description Error</p>
				</div>
			</div>
			<div class="form-group row">
				<div class="col-sm-10">
					<button type="submit" class="btn btn-primary">Ajouter</button>
				</div>
			</div>
		</form>
		<div class="col-2"></div>
	</div>
</body>
</html>